.success-animation {
  width: 100px;
}

.cmark {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  stroke-width: 2;
  stroke: #37996b;
  stroke-miterlimit: 10;
  box-shadow: inset 0px 0px 0px #37996b;
  animation:
    fill 0.4s ease-in-out 0.4s forwards,
    scale 0.3s ease-in-out 0.9s both;
  position: relative;
  top: 5px;
  right: 5px;
  margin: 0 auto;
}
.checkmark__circle {
  stroke-dasharray: 166;
  stroke-dashoffset: 166;
  stroke-width: 2;
  stroke-miterlimit: 10;
  stroke: #4caf50;
  fill: #fff;
  animation: stroke-circle 0.6s cubic-bezier(0.65, 0, 0.45, 1) forwards;
}

.checkmark__check {
  transform-origin: 50% 50%;
  stroke-dasharray: 48;
  stroke-dashoffset: 48;
  animation: stroke-check 0.3s cubic-bezier(0.65, 0, 0.45, 1) 0.8s forwards;
}

@keyframes stroke-circle {
  100% {
    stroke-dashoffset: 0;
    fill: #37996b;
  }
}
@keyframes stroke-check {
  100% {
    stroke-dashoffset: 0;
    stroke: white;
  }
}

@keyframes scale {
  0%,
  100% {
    transform: none;
  }

  50% {
    transform: scale3d(1.1, 1.1, 1);
  }
}

@keyframes fill {
  100% {
    box-shadow: inset 0px 0px 0px 30px #37996b;
  }
}
